> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Create workbook from template

POST https://api.sigmacomputing.com/v2/templates/save_workbook
Content-Type: application/json

Create a workbook by saving it from a template.

  ### Usage notes
  - Retrieve the **templateId** by calling the [/v2/templates](https://help.sigmacomputing.com/reference/list-templates) endpoint.
  - Retrieve the **folderId** by calling the [/v2/files](https://help.sigmacomputing.com/reference/list-files) endpoint and reviewing the `id` field in the response for files with a `type` of `folder`. To use the "My Documents" folder as the destination folder, call the [/v2/members/{memberId}](https://help.sigmacomputing.com/reference/get-member) endpoint and use the `homeFolderId` included in the response.
  - If you leave the name or description options blank, the workbook created inherits the values of the template.
  

Reference: https://help.sigmacomputing.com/reference/save-workbook-from-template

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/templates/save_workbook:
    post:
      operationId: saveWorkbookFromTemplate
      summary: Create workbook from template
      description: |-
        Create a workbook by saving it from a template.

          ### Usage notes
          - Retrieve the **templateId** by calling the [/v2/templates](https://help.sigmacomputing.com/reference/list-templates) endpoint.
          - Retrieve the **folderId** by calling the [/v2/files](https://help.sigmacomputing.com/reference/list-files) endpoint and reviewing the `id` field in the response for files with a `type` of `folder`. To use the "My Documents" folder as the destination folder, call the [/v2/members/{memberId}](https://help.sigmacomputing.com/reference/get-member) endpoint and use the `homeFolderId` included in the response.
          - If you leave the name or description options blank, the workbook created inherits the values of the template.
          
      tags:
        - Templates
      parameters:
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/templates_saveWorkbookFromTemplate_Response_200
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                templateId:
                  type: string
                folderId:
                  type: string
                name:
                  type: string
                description:
                  type: string
                updateAutomatically:
                  type: boolean
              required:
                - templateId
                - folderId
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    templates_saveWorkbookFromTemplate_Response_200:
      type: object
      properties:
        workbookId:
          type: string
      required:
        - workbookId
      title: templates_saveWorkbookFromTemplate_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "templateId": "tpl_9f8e7d6c5b4a3e2f1d0c",
  "folderId": "fld_1234567890abcdef"
}
```

**Response**

```json
{
  "workbookId": "wbk_abcdef1234567890"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/templates/save_workbook"

payload = {
    "templateId": "tpl_9f8e7d6c5b4a3e2f1d0c",
    "folderId": "fld_1234567890abcdef"
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/templates/save_workbook';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"templateId":"tpl_9f8e7d6c5b4a3e2f1d0c","folderId":"fld_1234567890abcdef"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/templates/save_workbook"

	payload := strings.NewReader("{\n  \"templateId\": \"tpl_9f8e7d6c5b4a3e2f1d0c\",\n  \"folderId\": \"fld_1234567890abcdef\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/templates/save_workbook")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"templateId\": \"tpl_9f8e7d6c5b4a3e2f1d0c\",\n  \"folderId\": \"fld_1234567890abcdef\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/templates/save_workbook")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"templateId\": \"tpl_9f8e7d6c5b4a3e2f1d0c\",\n  \"folderId\": \"fld_1234567890abcdef\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/templates/save_workbook', [
  'body' => '{
  "templateId": "tpl_9f8e7d6c5b4a3e2f1d0c",
  "folderId": "fld_1234567890abcdef"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/templates/save_workbook");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"templateId\": \"tpl_9f8e7d6c5b4a3e2f1d0c\",\n  \"folderId\": \"fld_1234567890abcdef\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "templateId": "tpl_9f8e7d6c5b4a3e2f1d0c",
  "folderId": "fld_1234567890abcdef"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/templates/save_workbook")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```